%global packname  XML
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          3.2.0
Release:          2%{?dist}
Summary:          Tools for parsing and generating xml within r and s-plus

Group:            Applications/Engineering 
License:          BSD
URL:              http://cran.at.r-project.org/src/contrib/XML_3.2-0.tar.gz
Source0:          http://cran.at.r-project.org/src/contrib/XML_3.2-0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R >= 1.2.0 R-methods R-utils 
Requires:         R-bitops 
BuildRequires:    R-devel tex(latex) R >= 1.2.0 R-methods R-utils R-bitops
BuildRequires:    libxml2-devel

%description
This package provides many approaches for both reading and creating XML
(and HTML) documents (including DTDs), both local and accessible via HTTP
or FTP. It also offers access to an XPath "interpreter".

%prep
%setup -q -c -n %{packname}

find -name ".svn" |xargs rm -fr
%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

# No need to ship this one
rm -f %{buildroot}%{rlibdir}/%{packname}/README.windows
# Rpmlint cannot read this file
rm -f %{buildroot}%{rlibdir}/%{packname}/exampleData/dtd.zip

%check
# Do not run the check as it requires internet access (and thus breaks the build)
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/Docs
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/examples
%{rlibdir}/%{packname}/exampleData
%{rlibdir}/%{packname}/scripts
%{rlibdir}/%{packname}/libs


%changelog
* Wed Feb 16 2011 Pierre-Yves Chibon <pingou@pingoured.fr> 3.2.0-2
- Comment out the check section as it breaks the build

* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 3.2.0-1
- initial package for Fedora
